### Method

# Ide Buffer hold

#### Declaration

    IdeBuffer*
    ide_buffer_hold (
      IdeBuffer* self
    )

#### Description

Increases the “hold count” of the `IdeBuffer` by one.

The hold count is similar to a reference count, as it allows the buffer manager to know when a buffer may be destroyed cleanly.

Doing so ensures that the buffer wont be unloaded or have reference cycles broken.

Release the hold with ide_buffer_release().

When the hold count reaches zero, the buffer will be destroyed.

Available since: | 3.32

#### Return value

Returns: | `IdeBuffer`
| `self`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.